﻿@model CompramotosFinal.Models.LoginViewModel

@{
    ViewBag.Title = "Iniciar sesión";
}
<!-- Main -->
<div id="main">
    <div style="background-color: #58ACFA; width: 800px; margin: 0 auto">
        <h2 class="col-md-12 text-center">Iniciar Sesión</h2>
        <div class="row text-center" style="background-color: #58ACFA; width: 800px; margin: 0 auto">
            <div class=" col-md-8 text-center">
                <section id="loginForm" class="col-md-8 text-center">
                    @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                    {
                        @Html.AntiForgeryToken()
                        <h4>Utilice una cuenta local para iniciar sesión.</h4>
                        <hr />
                        @Html.ValidationSummary(true)
                        <div class="form-group">
                            @Html.LabelFor(m => m.UserName, new { @class = "col-md-2 control-label" })
                            <div class="col-md-10">
                                @Html.TextBoxFor(m => m.UserName, new { @class = "form-control" })
                                @Html.ValidationMessageFor(m => m.UserName)
                            </div>
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(m => m.Password, new { @class = "col-md-2 control-label" })
                            <div class="col-md-10">
                                @Html.PasswordFor(m => m.Password, new { @class = "form-control" })
                                @Html.ValidationMessageFor(m => m.Password)
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <div class="checkbox">
                                    @Html.CheckBoxFor(m => m.RememberMe)
                                    @Html.LabelFor(m => m.RememberMe)
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" value="Iniciar sesión" class="btn btn-default" />
                            </div>
                        </div>
                        <p>
                            @Html.ActionLink("Registrarse", "Register") si no dispone de una cuenta local.
                        </p>
                    }
                </section>
            </div>
            <div class="col-md-4">
                <section id="socialLoginForm">
                    @Html.Partial("_ExternalLoginsListPartial", new { Action = "ExternalLogin", ReturnUrl = ViewBag.ReturnUrl })
                </section>
            </div>
        </div>
    </div>
    </div>
    @section Scripts {
        @Scripts.Render("~/bundles/jqueryval")
    }
